Subject: Re: [RFC PATCH 1/4] Add a new API to virtio-pci

From: "Michael S. Tsirkin" <[email-masked]>
Date: Mon, 13 Sep 2010 11:04:15 +0200

On Mon, Sep 13, 2010 at 09:50:42AM +0530, Krishna Kumar2 wrote:
> "Michael S. Tsirkin" <[email-masked]> wrote on 09/12/2010 05:16:37 PM:
> 
> > "Michael S. Tsirkin" <[email-masked]>
> > 09/12/2010 05:16 PM
> >
> > On Thu, Sep 09, 2010 at 07:19:33PM +0530, Krishna Kumar2 wrote:
> > > Unfortunately I need a
> > > constant in vhost for now.
> >
> > Maybe not even that: you create multiple vhost-net
> > devices so vhost-net in kernel does not care about these
> > either, right? So this can be just part of vhost_net.h
> > in qemu.
> 
> Sorry, I didn't understand what you meant.
> 
> I can remove all socks[] arrays/constants by pre-allocating
> sockets in vhost_setup_vqs. Then I can remove all "socks"
> parameters in vhost_net_stop, vhost_net_release and
> vhost_net_reset_owner.
> 
> Does this make sense?
> 
> Thanks,
> 
> - KK

Here's what I mean: each vhost device includes 1 TX
and 1 RX VQ. Instead of teaching vhost about multiqueue,
we could simply open /dev/vhost-net multiple times.
How many times would be up to qemu.

-- 
MST